summaryrefslogtreecommitdiffstats
path: root/source/l/libsndfile/libsndfile.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libsndfile/libsndfile.SlackBuild')
-rwxr-xr-xsource/l/libsndfile/libsndfile.SlackBuild24
1 files changed, 18 insertions, 6 deletions
diff --git a/source/l/libsndfile/libsndfile.SlackBuild b/source/l/libsndfile/libsndfile.SlackBuild
index 3c0c42bbf..3740bedc8 100755
--- a/source/l/libsndfile/libsndfile.SlackBuild
+++ b/source/l/libsndfile/libsndfile.SlackBuild
@@ -1,10 +1,10 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for libsndfile
# Copyright 2010 paul wisehart, Hyattsville, MD, USA
# Copyright 2010 Robby Workman, Northport, Alabama, USA
-# Copyright 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2011, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,9 +24,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=libsndfile
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -36,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -75,10 +84,13 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--htmldir=/usr/doc/$PKGNAM-$VERSION/html \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make htmldocdir=/usr/doc/$PKGNAM-$VERSION/html || exit 1
-make htmldocdir=/usr/doc/$PKGNAM-$VERSION/html DESTDIR=$PKG install
+make htmldocdir=/usr/doc/$PKGNAM-$VERSION/html DESTDIR=$PKG install || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null